Bug 436997 - cachefilesd consumes all CPU when it tries but fails to cull
cachefilesd consumes all CPU when it tries but fails to cull
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cachefilesd (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: David Howells
Depends On: 220060
Blocks: 391501
  Show dependency treegraph
Reported: 2008-03-11 12:10 EDT by Andrew Hecox
Modified: 2010-10-22 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-07-07 16:00:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Hecox 2008-03-11 12:10:58 EDT
When the FS-Cache partition backing cachefilesd fills up and no data is
available for culling, cachefilesd loops indefinitely retrying. On the tested
systems, this utilizes one full CPU core until files can be culled or
indefinitely (if files cannot be culled).

The desired behavior would be for cachefilesd to throttle itself somehow.
Comment 2 RHEL Product and Program Management 2008-06-02 16:14:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Daniel Riek 2008-07-07 15:22:06 EDT
From the 5.2 Release Notes:

Thanks to the help of upstream developers and testing customers, the
FS-Cache feature has undergone significant changes in line with upstream
FS-Cache implementation. Consequently, the technology preview
implementation of FS-Cache in this release is now rendered obsolete. 

As such, Red Hat does not recommend the usage of FS-Cache. Note that
FS-Cache will also be likely disabled for the next minor releases. 

Red Hat will be focusing on further refining this feature as per
upstream specifications. Once an acceptable level of invasiveness and
compatibility is reached, FS-Cache will then be re-introduced in Red Hat
Enterprise Linux. 
Comment 4 RHEL Product and Program Management 2008-07-07 16:00:08 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.